Page MenuHomePhabricator

logentry-upload-overwrite hardcoded in user language
Closed, ResolvedPublic

Description

It seems the logging code for uploading has been rewritten about a month ago, as there appears to be a new "logentry-upload-overwrite" message.

Since then, the message is hardcoded as an automatic edit summary upon uploading a new version of a file.

See for example https://commons.wikimedia.org/w/index.php?diff=prev&oldid=133487898

It hardcoded the message in Dutch since I used Dutch as interface language on Commons. It used to be in English, which it should be since that is the site language.

(Ideally though we probably need a dynamic edit summary for these cases, but that's outside the scope of this bug.)

I didn't check whether the bug is also present for related messages (maybe "logentry-upload-revert" or so).


Version: unspecified
Severity: minor

Details

Reference
bz70293

Event Timeline

bzimport raised the priority of this task from to Low.Nov 22 2014, 3:44 AM
bzimport added projects: MediaWiki-Logging, I18n.
bzimport set Reference to bz70293.
bzimport added a subscriber: Unknown Object (MLST).
SPQRobin created this task.Sep 2 2014, 2:55 PM

Change 181971 had a related patch set uploaded (by Umherirrender):
Use content language for edit summary on upload overwrite

https://gerrit.wikimedia.org/r/181971

Patch-For-Review

Change 181971 merged by jenkins-bot:
Use content language for edit summary on upload overwrite

https://gerrit.wikimedia.org/r/181971

Umherirrender closed this task as Resolved.Jan 6 2015, 4:17 PM
Umherirrender claimed this task.

Fix will be part of Version 1.25wmf14 - see https://www.mediawiki.org/wiki/MediaWiki_1.25/Roadmap for the timeline